GNU bug report logs - #29416
26.0.90: double-buffering display glitch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: charles@HIDDEN (Charles A. Roelli); merged with #26153, #30088; dated Thu, 23 Nov 2017 20:07:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 26153 29416 30088. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 29416 30088. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29416 <at> debbugs.gnu.org:


Received: (at 29416) by debbugs.gnu.org; 25 Nov 2017 14:07:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 25 09:07:08 2017
Received: from localhost ([127.0.0.1]:56830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eIb6p-0007Jw-Vo
	for submit <at> debbugs.gnu.org; Sat, 25 Nov 2017 09:07:08 -0500
Received: from sinyavsky.aurox.ch ([37.35.109.145]:52526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <charles@HIDDEN>) id 1eIb6n-0007JP-Sh
 for 29416 <at> debbugs.gnu.org; Sat, 25 Nov 2017 09:07:06 -0500
Received: from sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1])
 by sinyavsky.aurox.ch (Postfix) with ESMTP id 25F73225D1
 for <29416 <at> debbugs.gnu.org>; Sat, 25 Nov 2017 13:59:41 +0000 (UTC)
Authentication-Results: sinyavsky.aurox.ch (amavisd-new);
 dkim=pass (1024-bit key) reason="pass (just generated, assumed good)"
 header.d=aurox.ch
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=aurox.ch; h=
 references:subject:subject:in-reply-to:to:from:from:message-id
 :date:date; s=dkim; t=1511618378; x=1512482379; bh=YVjnxxH7xwiyn
 udmgHn3ym/1dDAV+O0UB1SuB6GOYAY=; b=g+KnSTM2Ge+2FNQvyaR68nDeFZmWU
 ZrRq/An4Dw4jILTMRwN2uKd2LfFqCajr54qNE5gdGSrJAJ6/yve7nkykLJVE0hnB
 TkATJwyFHC8prz6LUq6uth5DJCcR2hcoyHsawr616SlaPXdyKHcjFKotkJPJPLPs
 k+A33XJB1PUI9g=
X-Virus-Scanned: Debian amavisd-new at test.virtualizor.com
Received: from sinyavsky.aurox.ch ([127.0.0.1])
 by sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1]) (amavisd-new,
 port 10026) with ESMTP id xX9rOSpD1dRE for <29416 <at> debbugs.gnu.org>;
 Sat, 25 Nov 2017 13:59:38 +0000 (UTC)
Received: from gray (125.85.192.178.dynamic.wline.res.cust.swisscom.ch
 [178.192.85.125])
 by sinyavsky.aurox.ch (Postfix) with ESMTPSA id BF502225BD;
 Sat, 25 Nov 2017 13:59:35 +0000 (UTC)
Date: Sat, 25 Nov 2017 15:08:07 +0100
Message-Id: <m2po86v4c8.fsf@HIDDEN>
From: charles@HIDDEN (Charles A. Roelli)
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83r2sn8l5v.fsf@HIDDEN> (message from Eli Zaretskii on Fri, 24
 Nov 2017 22:41:00 +0200)
Subject: Re: bug#29416: 26.0.90: display glitch
References: <m2wp2gvjwp.fsf@HIDDEN> <83y3mwagoe.fsf@HIDDEN>
 <87k1ygzgpf.fsf@HIDDEN> <m2r2snv355.fsf@HIDDEN>
 <83r2sn8l5v.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29416
Cc: 29416 <at> debbugs.gnu.org, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> Date: Fri, 24 Nov 2017 22:41:00 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> 
> > Date: Fri, 24 Nov 2017 21:21:42 +0100
> > From: charles@HIDDEN (Charles A. Roelli)
> > CC: eliz@HIDDEN, 29416 <at> debbugs.gnu.org
> > 
> > > I don't see it on my Debian GNU/Linux box either (tried with both lucid
> > > and gtk builds).  Does disabling double buffering have any effect?
> > 
> > Yes, inhibiting double buffering fixes it.
> 
> Sigh.
> 
> Although it is strange that double buffering would cause this kind of
> problems.

It is.  I'm also surprised nobody else has reported the bug yet, since
my setup is bog-standard.  Maybe the problem is hardware-related.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29416; Package emacs. Full text available.
Changed bug title to '26.0.90: double-buffering display glitch' from '26.0.90: display glitch' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29416 <at> debbugs.gnu.org:


Received: (at 29416) by debbugs.gnu.org; 24 Nov 2017 20:41:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 24 15:41:36 2017
Received: from localhost ([127.0.0.1]:56427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eIKn2-00051h-J6
	for submit <at> debbugs.gnu.org; Fri, 24 Nov 2017 15:41:36 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eIKn0-00051T-L3
 for 29416 <at> debbugs.gnu.org; Fri, 24 Nov 2017 15:41:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eIKmu-0007SL-PC
 for 29416 <at> debbugs.gnu.org; Fri, 24 Nov 2017 15:41:29 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38406)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eIKmu-0007SB-Lq; Fri, 24 Nov 2017 15:41:28 -0500
Received: from [176.228.60.248] (port=3423 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eIKms-0008H7-O4; Fri, 24 Nov 2017 15:41:28 -0500
Date: Fri, 24 Nov 2017 22:41:00 +0200
Message-Id: <83r2sn8l5v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: charles@HIDDEN (Charles A. Roelli)
In-reply-to: <m2r2snv355.fsf@HIDDEN> (charles@HIDDEN)
Subject: Re: bug#29416: 26.0.90: display glitch
References: <m2wp2gvjwp.fsf@HIDDEN> <83y3mwagoe.fsf@HIDDEN>
 <87k1ygzgpf.fsf@HIDDEN> <m2r2snv355.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29416
Cc: 29416 <at> debbugs.gnu.org, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Fri, 24 Nov 2017 21:21:42 +0100
> From: charles@HIDDEN (Charles A. Roelli)
> CC: eliz@HIDDEN, 29416 <at> debbugs.gnu.org
> 
> > I don't see it on my Debian GNU/Linux box either (tried with both lucid
> > and gtk builds).  Does disabling double buffering have any effect?
> 
> Yes, inhibiting double buffering fixes it.

Sigh.

Although it is strange that double buffering would cause this kind of
problems.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29416; Package emacs. Full text available.

Message received at 29416 <at> debbugs.gnu.org:


Received: (at 29416) by debbugs.gnu.org; 24 Nov 2017 20:20:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 24 15:20:24 2017
Received: from localhost ([127.0.0.1]:56405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eIKSW-0004Vd-K9
	for submit <at> debbugs.gnu.org; Fri, 24 Nov 2017 15:20:24 -0500
Received: from sinyavsky.aurox.ch ([37.35.109.145]:51827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <charles@HIDDEN>) id 1eIKST-0004VL-UC
 for 29416 <at> debbugs.gnu.org; Fri, 24 Nov 2017 15:20:22 -0500
Received: from sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1])
 by sinyavsky.aurox.ch (Postfix) with ESMTP id 5263A225D5
 for <29416 <at> debbugs.gnu.org>; Fri, 24 Nov 2017 20:12:58 +0000 (UTC)
Authentication-Results: sinyavsky.aurox.ch (amavisd-new);
 dkim=pass (1024-bit key) reason="pass (just generated, assumed good)"
 header.d=aurox.ch
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=aurox.ch; h=
 references:subject:subject:in-reply-to:to:from:from:message-id
 :date:date; s=dkim; t=1511554377; x=1512418378; bh=RlAbcJ3GTZFlB
 GBHgdLPADSrG/MP8DmrnbHkbmgxiS0=; b=WRcGZhgzMt6cyIuKByZOhUm9ZCA4z
 1WZ6vf8kJ/dOlYl0QEb4AnsXEskijREbBq/CyUIuS55XGl9vCujHkCc5ZpXAT0vJ
 C++gIp7JXoI1ud1s4fgaV2kHJHwoHIOFdgZmH8U/jBeJqMm2eUUAPakJbI08+252
 x5XXWX67IWmtqY=
X-Virus-Scanned: Debian amavisd-new at test.virtualizor.com
Received: from sinyavsky.aurox.ch ([127.0.0.1])
 by sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1]) (amavisd-new,
 port 10026) with ESMTP id Yi5ciJbP0Ox2 for <29416 <at> debbugs.gnu.org>;
 Fri, 24 Nov 2017 20:12:57 +0000 (UTC)
Received: from gray (125.85.192.178.dynamic.wline.res.cust.swisscom.ch
 [178.192.85.125])
 by sinyavsky.aurox.ch (Postfix) with ESMTPSA id 16983225CD;
 Fri, 24 Nov 2017 20:12:57 +0000 (UTC)
Date: Fri, 24 Nov 2017 21:21:42 +0100
Message-Id: <m2r2snv355.fsf@HIDDEN>
From: charles@HIDDEN (Charles A. Roelli)
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <87k1ygzgpf.fsf@HIDDEN> (message from Noam
 Postavsky on Thu, 23 Nov 2017 19:02:52 -0500)
Subject: Re: bug#29416: 26.0.90: display glitch
References: <m2wp2gvjwp.fsf@HIDDEN> <83y3mwagoe.fsf@HIDDEN>
 <87k1ygzgpf.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29416
Cc: eliz@HIDDEN, 29416 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Thu, 23 Nov 2017 19:02:52 -0500
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> Date: Thu, 23 Nov 2017 21:07:18 +0100
> >> From: charles@HIDDEN (Charles A. Roelli)
> >> 
> >> Using Ubuntu GNU/Linux and launching emacs -q on the pretest:
> >> 
> >> M-x find-function RET format-message RET
> >> M-x load-theme RET wombat RET
> >> C-5 C-v C-5 C-v
> >> 
> >> There are a few horizontal blue lines visible on the last line of:
> >> 
> >> > {
> >> >    return styled_format (nargs, args, true);
> >> > }
> >> 
> >> so that it looks a little like this instead:
> >> 
> >> > }                                        ___   _    ____ __
> >
> > I don't see this on my system (which is not GNU/Linux).
> 
> I don't see it on my Debian GNU/Linux box either (tried with both lucid
> and gtk builds).  Does disabling double buffering have any effect?

Yes, inhibiting double buffering fixes it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29416; Package emacs. Full text available.

Message received at 29416 <at> debbugs.gnu.org:


Received: (at 29416) by debbugs.gnu.org; 24 Nov 2017 00:03:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 23 19:03:02 2017
Received: from localhost ([127.0.0.1]:54389 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eI1SP-0002BY-LC
	for submit <at> debbugs.gnu.org; Thu, 23 Nov 2017 19:03:02 -0500
Received: from mail-it0-f49.google.com ([209.85.214.49]:37009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1eI1SN-0002BD-Oj
 for 29416 <at> debbugs.gnu.org; Thu, 23 Nov 2017 19:03:00 -0500
Received: by mail-it0-f49.google.com with SMTP id m191so11825078itg.2
 for <29416 <at> debbugs.gnu.org>; Thu, 23 Nov 2017 16:02:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ndWJbzcuHGHQNwpIXwDjIlV0dwZ0aNV9k/44OSE7yEk=;
 b=qMEZKMLqbQDO8uwDEtt+kjzEwQOUUSjyJvBnhmuJD0r/LTUCkqAcHf/db3j4hf+YNN
 +cuFpS2CpOojV3ujkd0pQshQKDCHC1fpiYhRfdDdbt0QYAAmSBSGP/ASmww3G0vFhRwK
 vlra8gxBX8IH92/Y6yT49ZN2mUR1OziycG6fqFKxdp+bUXgVDxumSLIXd8ec8F37DC2S
 wZSdxDzuTGpG+w7FyxWzN5VwFOgIdNBvqWqJPrgRPWa83nmW462PqEvCBUS5Ob4SprZS
 DFUzHSjEiyoknaWAmGnGcGpqZMGlVK41NoiKiC6wx56LtWoWJyVNW3uh7DtuFobAvs0A
 UF2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=ndWJbzcuHGHQNwpIXwDjIlV0dwZ0aNV9k/44OSE7yEk=;
 b=bCFXJ1cIvWRSxR25FTy2JCK7alERw5oJPfJg0XMFeDeetn4GkljK+0PfL7CukbuVe/
 quqn5Ua/U078Ku13h5FCe3rzpzIsWlWIbKhSnicMqfVCi60J8FEd7RN07gQkf0Z8INyY
 ErQ0wMf8fopkCyWCWBsn7mX8MQkFhlaqI9Jv3sBqZhlBCzXH16T6+enfa7JeMoDmZq21
 P3eO6sjZY5TrdPMSciE3NA06OdfrXkIqkFk/QBLRcD9vBkA5WEqLksaoUtHjiaRM1KmJ
 G/Zen42YqJXqjDBpKE8VKX7TfMBhXnKHGIML7992dddjE50MHkYg0HBU5dbLRvB7sA3G
 D6Mg==
X-Gm-Message-State: AJaThX5FD9G3pVD/7BWxiAfDJBNVfEmwXo+f2NdgUovzL87q0BOtkrAg
 eNWv+8+fg53MzOts49ewg95Mqg==
X-Google-Smtp-Source: AGs4zMb1IZo3xAWmTCWSJPm3YUBMgYE8L/SZkZMpijTf4NmzHfsz2PCFLYEzMwVyGK9aNX4Yh14J7A==
X-Received: by 10.36.189.140 with SMTP id x134mr14540790ite.26.1511481773893; 
 Thu, 23 Nov 2017 16:02:53 -0800 (PST)
Received: from zebian ([45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id m87sm4788325ioi.2.2017.11.23.16.02.52
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 23 Nov 2017 16:02:53 -0800 (PST)
From: Noam Postavsky <npostavs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#29416: 26.0.90: display glitch
References: <m2wp2gvjwp.fsf@HIDDEN> <83y3mwagoe.fsf@HIDDEN>
Date: Thu, 23 Nov 2017 19:02:52 -0500
In-Reply-To: <83y3mwagoe.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 23 Nov
 2017 22:22:41 +0200")
Message-ID: <87k1ygzgpf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 29416
Cc: "Charles A. Roelli" <charles@HIDDEN>, 29416 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Thu, 23 Nov 2017 21:07:18 +0100
>> From: charles@HIDDEN (Charles A. Roelli)
>> 
>> Using Ubuntu GNU/Linux and launching emacs -q on the pretest:
>> 
>> M-x find-function RET format-message RET
>> M-x load-theme RET wombat RET
>> C-5 C-v C-5 C-v
>> 
>> There are a few horizontal blue lines visible on the last line of:
>> 
>> > {
>> >    return styled_format (nargs, args, true);
>> > }
>> 
>> so that it looks a little like this instead:
>> 
>> > }                                        ___   _    ____ __
>
> I don't see this on my system (which is not GNU/Linux).

I don't see it on my Debian GNU/Linux box either (tried with both lucid
and gtk builds).  Does disabling double buffering have any effect?
Perhaps installed fonts could also be significant?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29416; Package emacs. Full text available.

Message received at 29416 <at> debbugs.gnu.org:


Received: (at 29416) by debbugs.gnu.org; 23 Nov 2017 20:23:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 23 15:23:08 2017
Received: from localhost ([127.0.0.1]:54203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eHy1c-0001mU-2E
	for submit <at> debbugs.gnu.org; Thu, 23 Nov 2017 15:23:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eHy1Z-0001ll-TM
 for 29416 <at> debbugs.gnu.org; Thu, 23 Nov 2017 15:23:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eHy1R-0005vq-12
 for 29416 <at> debbugs.gnu.org; Thu, 23 Nov 2017 15:23:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38992)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eHy1Q-0005ve-Se; Thu, 23 Nov 2017 15:22:56 -0500
Received: from [176.228.60.248] (port=2153 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eHy1P-000261-DZ; Thu, 23 Nov 2017 15:22:56 -0500
Date: Thu, 23 Nov 2017 22:22:41 +0200
Message-Id: <83y3mwagoe.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: charles@HIDDEN (Charles A. Roelli)
In-reply-to: <m2wp2gvjwp.fsf@HIDDEN> (charles@HIDDEN)
Subject: Re: bug#29416: 26.0.90: display glitch
References: <m2wp2gvjwp.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29416
Cc: 29416 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Thu, 23 Nov 2017 21:07:18 +0100
> From: charles@HIDDEN (Charles A. Roelli)
> 
> Using Ubuntu GNU/Linux and launching emacs -q on the pretest:
> 
> M-x find-function RET format-message RET
> M-x load-theme RET wombat RET
> C-5 C-v C-5 C-v
> 
> There are a few horizontal blue lines visible on the last line of:
> 
> > {
> >    return styled_format (nargs, args, true);
> > }
> 
> so that it looks a little like this instead:
> 
> > }                                        ___   _    ____ __

I don't see this on my system (which is not GNU/Linux).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29416; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Nov 2017 20:06:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 23 15:06:31 2017
Received: from localhost ([127.0.0.1]:54173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eHxlX-0007uF-Ht
	for submit <at> debbugs.gnu.org; Thu, 23 Nov 2017 15:06:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <charles@HIDDEN>) id 1eHxlV-0007u2-NJ
 for submit <at> debbugs.gnu.org; Thu, 23 Nov 2017 15:06:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <charles@HIDDEN>) id 1eHxlP-0006A4-US
 for submit <at> debbugs.gnu.org; Thu, 23 Nov 2017 15:06:24 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54013)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <charles@HIDDEN>) id 1eHxlP-00069k-Rf
 for submit <at> debbugs.gnu.org; Thu, 23 Nov 2017 15:06:23 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53742)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <charles@HIDDEN>) id 1eHxlO-0003hJ-Q8
 for bug-gnu-emacs@HIDDEN; Thu, 23 Nov 2017 15:06:23 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <charles@HIDDEN>) id 1eHxlK-0005yh-0F
 for bug-gnu-emacs@HIDDEN; Thu, 23 Nov 2017 15:06:22 -0500
Received: from sinyavsky.aurox.ch ([37.35.109.145]:57166)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <charles@HIDDEN>) id 1eHxlJ-0005kl-OB
 for bug-gnu-emacs@HIDDEN; Thu, 23 Nov 2017 15:06:17 -0500
Received: from sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1])
 by sinyavsky.aurox.ch (Postfix) with ESMTP id 4112B225CF
 for <bug-gnu-emacs@HIDDEN>; Thu, 23 Nov 2017 19:58:53 +0000 (UTC)
Authentication-Results: sinyavsky.aurox.ch (amavisd-new);
 dkim=pass (1024-bit key) reason="pass (just generated, assumed good)"
 header.d=aurox.ch
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=aurox.ch; h=
 subject:subject:to:from:from:message-id:date:date; s=dkim; t=
 1511467131; x=1512331132; bh=j7x/cHhlTJ1SbtkKMhseC8/siK5r1IvVx4M
 16NiMRaI=; b=rhDFGQ951XvUK9AHw2OiLoZI0e/csygg1YQ8nNMKSIEjQ1vVitn
 ulRsmiqsORo8mwiuw8AnodRG0HUY1owhWyn3DUz8dvh8mgnzxUDaEffVJ8z0o4Z4
 rAj/ZMmDCBzACj8KZ71aZ6KepDaGUZ0leZkInLfFYphL8R+GNLTv7Fxc=
X-Virus-Scanned: Debian amavisd-new at test.virtualizor.com
Received: from sinyavsky.aurox.ch ([127.0.0.1])
 by sinyavsky.aurox.ch (sinyavsky.aurox.ch [127.0.0.1]) (amavisd-new,
 port 10026) with ESMTP id GMWUgl1UjF_A for <bug-gnu-emacs@HIDDEN>;
 Thu, 23 Nov 2017 19:58:51 +0000 (UTC)
Received: from gray (125.85.192.178.dynamic.wline.res.cust.swisscom.ch
 [178.192.85.125])
 by sinyavsky.aurox.ch (Postfix) with ESMTPSA id B5B4F225BC
 for <bug-gnu-emacs@HIDDEN>; Thu, 23 Nov 2017 19:58:51 +0000 (UTC)
Date: Thu, 23 Nov 2017 21:07:18 +0100
Message-Id: <m2wp2gvjwp.fsf@HIDDEN>
From: charles@HIDDEN (Charles A. Roelli)
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.90: display glitch
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Using Ubuntu GNU/Linux and launching emacs -q on the pretest:

M-x find-function RET format-message RET
M-x load-theme RET wombat RET
C-5 C-v C-5 C-v

There are a few horizontal blue lines visible on the last line of:

> {
>    return styled_format (nargs, args, true);
> }

so that it looks a little like this instead:

> }                                        ___   _    ____ __

This was the only easily reproducible case I could come up with, but
I've seen the problem elsewhere several times in daily use with
26.0.90.  In contrast I never saw anything similar occur in 25.3.




Acknowledgement sent to charles@HIDDEN (Charles A. Roelli):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#29416; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 7 Aug 2018 23:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.